Subject: Re: String Representation

From: Paul Sephton <[email-masked]>
Date: Tue, 16 May 2000 09:30:54 +0200 (GMT+0200)

On Tue, 16 May 2000, Richard A. O'Keefe wrote:

> I wrote:
> > Using a *single* atom to hold a string has the advantage that if there
> > are several occurrences of exactly the same string, they will share the
> > representation, so you can get less than 1 byte per character.

Unless, of course, you are talking about single character atoms...

> 
> "clemensF" <[email-masked]> wrote
> : that taken together with reference counting and garbage collection makes it
> : "irresistable", right?
> 	
> No.  It makes it a respectable design alternative that should be considered
> for some problems when portability is not an issue.
> 
> 
> ----------------
> * To UNSUBSCRIBE, please use the HTML form at
> 
>     http://www.swi.psy.uva.nl/projects/SWI-Prolog/index.html#mailinglist
> 
> or send mail to [email-masked] using the Subject: "unsubscribe"
> (without the quotes) and *no* message body.
> 
> ** An ARCHIVE of this list is maintained at
> 
>     http://www.swi.psy.uva.nl/projects/SWI-Prolog/mailinglist/archive/
> 

_____________________________________________________________________________
Paul Sephton ([email-masked])                               INET Development
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Ever wondered if jumping out of the frying pan might actually be refreshing?
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~